Bug 563000 - Review Request: rubygem-compass - A Sass-based CSS Meta-Framework
Summary: Review Request: rubygem-compass - A Sass-based CSS Meta-Framework
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Fojtik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 562998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-09 00:16 UTC by Mo Morsi
Modified: 2010-05-03 17:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-03 17:28:53 UTC
mfojtik: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-02-09 00:16:17 UTC
Spec URL: http://mo.morsi.org/files/gems/rubygem-compass.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-compass-0.8.17-1.fc12.src.rpm 
Description:
A Sass-based CSS Meta-Framework that allows you to mix and match
any of the following CSS frameworks: Compass Core, Blueprint,
960, Susy, YUI, and others.


rpmlint rpmbuild/RPMS/noarch/rubygem-compass-0.8.17-1.fc12.noarch.rpm 
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/ProjectBase/explicit_config_file_must_be_readable%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Tree/NodeInsertion/descendant%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Support/mac%3f-c.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Configuration/relative_assets%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Sass/Plugin/exact_stylesheet_needs_update%3f-c.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Cache/Common/has_child%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Exec/Compass/parse%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Tree/Node/%3c%3d%3e-i.yaml %3c
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/CreateProject/is_project_creation%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Support/carbon_core%3f-c.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Configuration/set_defaults%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Installers/Base/compilation_required%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/NilClass/blank%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/InstallerCommand/configure%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/StampPattern/is_project_creation%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/ConfigHelpers/configure_sass_plugin%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Installers/StandAloneInstaller/config_files_exist%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/WriteConfiguration/explicit_config_file_must_be_readable%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Frameworks/%5b%5d-i.yaml %5b
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Exec/Compass/perform%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/ProjectBase/configure%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Installers/RailsInstaller/config_files_exist%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Cache/descendant%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Installers/StandAloneInstaller/compilation_required%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Commands/ProjectBase/assert_project_directory_exists%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Cache/Common/child%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/GridBuilder/generate%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Sass/Plugin/stylesheet_needs_update%3f-c.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Exec/Compass/run%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/ConfigHelpers/sass_plugin_configured%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Compiler/out_of_date%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Cache/Node/%3c%3d%3e-i.yaml %3c
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Configuration/absolute_path%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Tree/NodeBase/has_child%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Cache/Common/descendant%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/String/blank%3f-i.yaml %3f
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/Compass/Configuration/reset%21-i.yaml %21
rubygem-compass.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/compass-0.8.17/ri/FSSM/Tree/NodeBase/child%21-i.yaml %21
1 packages and 0 specfiles checked; 0 errors, 38 warnings.


The result of the ri documentation generator. Not much can be done. Other
rubygems have been accepted in lieu of this warning, so ignoring


rpmlint rpmbuild/SRPMS/rubygem-compass-0.8.17-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package builds fine in mock. Koji build unavailable due to rubygem-haml
dependency.

Comment 1 Michal Fojtik 2010-03-29 14:47:08 UTC
File listed twice:
/usr/lib/ruby/gems/1.8/gems/compass-0.8.17/LICENSE.markdown
/usr/lib/ruby/gems/1.8/gems/compass-0.8.17/README.markdown
----
Tests are not executed (./tests)
----
Do not use %define, use %global
----
./docs are not installed (not listed in %files)

Comment 2 Mo Morsi 2010-04-14 15:54:24 UTC
Spec updated based on feedback and new version uploaded:
Spec URL: http://mo.morsi.org/files/gems/rubygem-compass.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-compass-0.8.17-2.fc11.src.rpm 

rpmlint rpmbuild/RPMS/noarch/rubygem-compass-0.8.17-1.fc11.noarch.rpm  rpmbuild/SRPMS/rubygem-compass-0.8.17-1.fc11.src.rpm rpmbuild/SPECS/rubygem-compass.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



(In reply to comment #1)
> File listed twice:
> /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/LICENSE.markdown
> /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/README.markdown

These two files are different (LICENSE, README) and rpmlint isn't complaining about any duplicate files. Can you elaborate if this is still an issue?


> ----
> Tests are not executed (./tests)

Fixed.

> ----
> Do not use %define, use %global

Fixed.

> ----
> ./docs are not installed (not listed in %files)    

The docs are included as the last entry in %files, 

%doc %{gemdir}/doc/%{gemname}-%{version}

Were you looking for other docs, if so which ones?

Also resolved the issue w/ the misspelled macros above.

Comment 3 Mamoru TASAKA 2010-04-14 16:37:06 UTC
Just comment for this:

(In reply to comment #2)
> (In reply to comment #1)
> > File listed twice:
> > /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/LICENSE.markdown
> > /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/README.markdown
> 
> These two files are different (LICENSE, README) and rpmlint isn't complaining
> about any duplicate files. Can you elaborate if this is still an issue?

Note that %files entry
-------------------------------------------------
%files
foo/
-------------------------------------------------
contains the directory foo/ itself _and_ all files/directories/etc
under the directory foo, and %{gemdir}/gems/%{gemname}-%{version}/
(in %files entry) is the same as %{geminstdir} 
(by the as you defined %geminstdir, please use this macro in %files),
while
-------------------------------------------------
%files
%dir foo/
-------------------------------------------------
contains the directory foo/ only.

Comment 4 Mo Morsi 2010-04-14 17:02:03 UTC
(In reply to comment #3)
> Just comment for this:
> 
> (In reply to comment #2)
> > (In reply to comment #1)
> > > File listed twice:
> > > /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/LICENSE.markdown
> > > /usr/lib/ruby/gems/1.8/gems/compass-0.8.17/README.markdown
> > 
> > These two files are different (LICENSE, README) and rpmlint isn't complaining
> > about any duplicate files. Can you elaborate if this is still an issue?
> 
> Note that %files entry
> -------------------------------------------------
> %files
> foo/
> -------------------------------------------------
> contains the directory foo/ itself _and_ all files/directories/etc
> under the directory foo, and %{gemdir}/gems/%{gemname}-%{version}/
> (in %files entry) is the same as %{geminstdir} 
> (by the as you defined %geminstdir, please use this macro in %files),
> while
> -------------------------------------------------
> %files
> %dir foo/
> -------------------------------------------------
> contains the directory foo/ only.    

Fixed.

Spec updated based on feedback and new version uploaded:
Spec URL: http://mo.morsi.org/files/gems/rubygem-compass.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-compass-0.8.17-3.fc11.src.rpm 

rpmlint rpmbuild/SPECS/rubygem-compass.spec rpmbuild/SRPMS/rubygem-compass-0.8.17-3.fc11.src.rpm rpmbuild/RPMS/noarch/rubygem-compass-0.8.17-3.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2115523

Comment 5 Michal Fojtik 2010-04-14 17:19:13 UTC
#  MUST: rpmlint must be run on every package. The output should be posted in
the review.

No warning/errors.

# MUST: The package must be named according to the Package Naming Guidelines .

OK

# MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.

OK

# MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

MIT

# MUST: The spec file must be written in American English.

OK

# MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK

# MUST: Header files must be in a -devel package. 

No headers.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). 

OK

# MUST: All filenames in rpm packages must be valid UTF-8. 

OK

Comment 6 Mo Morsi 2010-04-14 18:02:52 UTC
New Package CVS Request
=======================
Package Name: rubygem-compass
Short Description: A Sass-based CSS Meta-Framework
Owners: mmorsi
Branches: F-11 F-12 F-13
InitialCC:

Comment 7 Kevin Fenzi 2010-04-18 01:40:59 UTC
CVS done (by process-cvs-requests.py).

Please remember to assign the review to the reviewer.

Comment 8 Mamoru TASAKA 2010-05-03 17:28:53 UTC
Since this package is already pushed into distrubution, closing.


Note You need to log in before you can comment on or make changes to this bug.